
section [data-step="guests"][style="display: block;"] + section.wizard_actions div.button-group span[data-action="update_survey"]{
    border-radius: 0 50px 50px 0;
}

[data-form="general"],[data-form="owner"],[data-form="settings"],[data-form="guest"],
[data-form="guest_edit"], [data-step="questions"] [data-form*="question"], .guest_edit {
    width: 100%;
    max-width: 100%;
}

[data-component="survey-wizard"] [data-container="steps"] {
    padding-bottom: 0 !important;
}

/**
 * Wizard TOP navigation
 */
[data-container="steps"] .wizard_actions {
    width: 100%;
    display: block;
    clear: both;
    margin-top: 1em;
}

[data-container="steps"] .wizard_action.disabled {
    color: #aaa !important;
}

[data-container="steps"] .wizard_action_add {
    margin-bottom :0;
    margin-right:0.5rem!important;
    padding: 0.5em 1em 0.5rem 0.5em!important;
    font-weight:bold!important;
    background-color: #fff!important;
    color: #64489e!important;
    border:1px solid #64489e!important;
    border-radius: 3px;
}
[data-container="steps"] .wizard_action_add:hover {
    background-color: #64489e!important;
    color: #fff!important;
    border:1px solid #64489e!important;
}

[data-container="steps"] [data-action="expand"].wizard_action_add{
    margin: 0px auto !important;
}
[data-container="steps"] .wizard_action_add legend{
    margin-left:1.1rem;
    font-size:90%;
    font-style: italic;
}
[data-container="steps"] .ui-effects-wrapper{
    overflow: visible !important; /* Fix weird jQuery bug */
}

[data-container="steps"] label,
[data-container="steps"] label span:not(.highlight){
    font-weight: bold;
    text-align: left;
}

[data-container="steps"] [data-form][data-step] {
    padding: 0;
}

[data-step="general"] .parameters {
    min-height: 18rem;
}

[data-step="guests"] [data-form="auto_close"] {
    display: block;
    width: 100%;
    padding: 0;
    margin-top: 0.8rem;
}

[data-step="guests"] > section > label {
    margin-top: 1rem;
}

[data-step="guests"] span.fa-calendar-o{
    margin-left: 27%;
    margin-top: -42px;
    float: left;
}

section.advanced-options::after {
    content:'.';
    color:#fff;
    display:block;
    margin-bottom: 1rem;
}
[data-step="general"] section.advanced-options > section > label {
    display:block;
    color:#304d6e;
    font-weight:bold;
    margin-bottom:0.5rem;
}

section.advanced-options label + i, .reply_access_info {
    margin-top: -0.4rem;
    font-size:1.2em;
    color:#6b79b8;
    -webkit-transition: all 0.25s ease-in;
    -moz-transition: all 0.25s ease-in;
    -o-transition: all 0.25s ease-in;
    -ms-transition: all 0.25s ease-in;
    transition: all 0.25s ease-in;
}
section.advanced-options label + i:hover, .reply_access_info:hover {
    cursor:pointer;
    -webkit-transform: scale(1.2);
    -moz-transform: scale(1.2);
    -o-transform: scale(1.2);
    -ms-transform: scale(1.2);
    transform: scale(1.2);
}
section.advanced-options ul {
    list-style: none;
}
[data-action="toggle-advanced-options"]:hover {
    color : #2b2b2b;
}

[data-action="toggle-advanced-options"] i {
    width : 10px;
}
.reply_access_info {
    margin-left: 0.3rem;
    vertical-align: bottom;
}
[data-action="add_date_question_proposition"],
[data-action="add_text_question_proposition"],
[data-action="add_guest"],
[data-action="add_owner"],
[data-action="hide_tip"],
[data-action="add_calendar"],
[data-action="add_time_picker"],
[data-action="add_constraint"]
{
    display:block;
    margin:0.5rem 0;
    color : #64489e;
    text-decoration: underline;
}
[data-action="hide_tip"],
[data-action="add_calendar"]
{
    display:inline-block;
    margin:0 0.5rem 0.5rem 0;
}

[data-action="add_proposition_variant"],
[data-action="add_time_picker"]
{
    display:inline-block;
    margin:0 0 0 2.5rem;
    font-size: 0.85rem;
}

[data-action="hide_tip"] {
    margin:0 0.5rem 0rem 0;
}

.callout[data-tip-id] {
    overflow: hidden;
}

[data-action]:hover{
    text-decoration: none;
}
[data-action="reproduce_variants"],
[data-action="reproduce_times"] {
    margin-left: 0.5em;
}

[data-step="questions"] .medium-centered {
    clear:both;
    padding-top: 0rem;
}

[data-step="questions"] .medium-centered[data-form-proposition="text"] {
    padding-left: 0rem;
    padding-right: 0.9375rem;
}

[data-step="questions"] .options {
    display: inline-block;
    margin-top: 0rem;
    padding-left: 2rem;
}
[data-step="questions"] .options label {
    display: inline-block;
}

[data-step="questions"] .options,
[data-step="questions"] .options label.switch-container {
    line-height: 1.5;
}

[data-step="questions"] .proposition label {
    display:inline;
}

[data-step="questions"] ul {
    list-style-type:none;
    margin-left: 0;
}

[data-step="questions"] .question-form {
    /*position: relative;*/
    border: 1px solid rgba(188, 188, 188, 1);
    border-left: 15px solid #6c79b8;
    float: left;
    border-radius: 2px;
    padding-left: 20px;
    margin-bottom: 1em;
    cursor: move;
}
[data-step="questions"] .question-form.ui-sortable-handle {
    cursor: -moz-grab;
    cursor: -webkit-grab;
    cursor: grab;
}

[data-step="questions"] .question-form li.proposition span.time_picker_container span.time_slot{
    padding:0 0.15rem;
    background-color: #fff;
    display: inline-block;
    box-shadow: inset -2px 2px 2px rgba(10, 10, 10, 0.25);
    border-radius: 2px;
}

[data-step="questions"] .question-form .time_container.base_time_container,
[data-step="questions"] .question-form .time_container.to {
    display: inline-block;
    line-height: 1.7rem;
    vertical-align: bottom;
    height: 1.7rem;
}

form#main-question-form > section > section.column{
    padding-left:0;
    padding-top:0.3rem;
}
[data-step="questions"] input.medium {
    display:inline;
    max-width: 10rem;
}
[data-step="questions"] input.small {
    display:inline;
    width: 6em;
    margin-left: 1em;
}

[data-step="questions"] .options [data-field-path="question_limit_choice_nb"] {
    display: none;
}

[data-step="questions"] .options [data-field-path="question_limit_choice_nb"] [data-label-text] {
    display:none !important;
}

[data-step="questions"] input.small.time_picker {
    width: 3rem;
    height:1.7rem;
    padding: 0;
    margin: 0;
    text-align:center;
    font-family: "Helvetica Neue", Helvetica, Roboto, Arial, sans-serif !important;
    font-style: normal;
    font-weight: 501;
    font-size: 0.751rem;
    background-color: transparent;
    border:none;
    box-shadow:none;
    border-radius: 0;
}
[data-step="questions"] input.small.time_picker[name="end_time"]  {
    margin-left:0;
}
[data-step="questions"] .proposition.proposition_date_input > span.small-12.medium-9.end.columns.nopadding{
    margin-top:-0.2rem;
}
[data-step="questions"] .advanced_controls label {
    display: inline;
    margin-right: 0.5rem;
}
[data-step="questions"] .propositions_container {
    background-color: #D7E35A;
    padding: 0.5rem 1rem;
    box-shadow: 1px 1px 4px rgba(10, 10, 10, 0.25);
    border-radius: 2px;
    margin-top: 0.1rem;
}
[data-step="questions"] .propositions_container select[name="input_mode"]{
    display: inline-block;
    width: inherit;
    height: 1.75rem;
    margin: 0 0 0.5rem 0;
    line-height: 2.1;
}

[data-step="questions"] .propositions_container label[data-field-path="same_moments_for_all"],
[data-step="questions"] .propositions_container label[data-field-path="same_for_all"] {
    margin-top: 0.25rem;
}
[data-step="questions"] ul.propositions li.proposition:not(:first-of-type):before, .same_for_all_row:after, .same_variants_for_all_row:after {
    content: '';
    height: 1px;
    margin-top: 0.5rem;
    display: block;
    clear: both;
    background-color: #fff;
}
[data-step="questions"] div.same_hours_for_all_row:after {
    content: '';
    height: 1px;
    margin-bottom: 0.5rem;
    display: block;
    clear: both;
    background-color: #fff;
}

[data-step="questions"] ul.propositions li.proposition_date_input div{
    margin-left:0;
    margin-top:0.5rem;
}
[data-step="questions"] ul.propositions li:first-child.proposition_date_input div{
    margin-top:0;
}
[data-step="questions"] ul.propositions li.proposition div label{
    font-size: 0.85rem;
    letter-spacing: 1px;
}
[data-step="questions"] span.day_slot_duration {
    min-width: 3.5rem;
    display: inline-block;
    margin-left: 1rem;
}
[data-step="questions"] ul.propositions + .error_hint{
    margin-top: 1rem;
}
[data-step="questions"] .timezone-label{
    margin-bottom: 0.35rem;
}

[data-step="questions"] .timezone-label .timezone-info{
    display: block;
    margin-top: 0.2rem;
}

[data-step="questions"] .variant_label,
[data-step="questions"] .proposition_date_input .hour_label,
[data-step="questions"] .day_slots_question .day_slot_label {
    margin-right:0.3rem;
    font-family: "Helvetica Neue", Helvetica, Roboto, Arial, sans-serif !important;
    font-style: normal;
    font-weight: bold;
}

[data-step="questions"] .hours_labels {
    margin-left:0.25rem;
    display: block;
}

[data-step="questions"] .proposition_date_input .time_picker_container {
    margin-right: 0.2rem;
    padding: 0.25rem;
    display: inline-block;
}
[data-step="questions"] .proposition_controls {
    margin-left: 1rem;
}
[data-step="questions"] .compressed {
    min-height: 1.5em;
}

.date-picker-range-container input.date-picker-range,
[data-step="questions"] .proposition_date_input [name="base_date"],
[data-step="questions"] .proposition_date_input .to.date_container,
[data-step="questions"] .advanced_controls,
[data-step="questions"] .day_slots_question span.hours_container,
[data-step="questions"] .day_slots_question span.hours_labels,
[data-step="questions"] .day_slots_question span.proposition_controls,
[data-step="questions"] .day_slots_question .same_for_all_row,
[data-step="questions"] .day_slots_question .same_variants_for_all_row,
[data-step="questions"] ul.propositions:not(.same_for_all) li.proposition span.hours_labels,
[data-step="questions"] ul.propositions.same_for_all li.proposition:not(:first-of-type) [name="proposition_variant"],
[data-step="questions"] ul.propositions.same_for_all li.proposition:first-of-type span.variants_labels,
[data-step="questions"] ul.propositions:not(.same_for_all) li.proposition span.variants_labels,
[data-step="questions"] ul.propositions.moments .hours_labels,
[data-step="questions"] ul.propositions.moments .time_pickers,
[data-step="questions"] ul.propositions.moments .proposition_controls,
[data-step="questions"] ul.propositions.moments li.proposition:first-of-type .moments_labels,
[data-step="questions"] ul.propositions.moments.same_for_all li.proposition:not(:first-of-type) .moments_pickers,
[data-step="questions"] ul.propositions.moments:not(.same_for_all) li.proposition:not(:first-of-type) .moments_labels,
[data-step="questions"] ul.propositions.hours .moments_labels,
[data-step="questions"] ul.propositions.hours .moments_pickers,
[data-step="questions"] ul.propositions.hours li.proposition:first-of-type span.hours_labels,
[data-step="questions"] ul.propositions.hours.same_for_all li.proposition:not(:first-of-type) .time_pickers,
[data-step="questions"] ul.propositions.hours.same_for_all li.proposition:not(:first-of-type) .proposition_controls,
[data-step="questions"] ul.propositions.hours:not(.same_for_all) li.proposition:not(:first-of-type) .hours_labels
{
    display: none !important;
}
[data-step="questions"] ul.propositions.moments .moments_pickers input[type="checkbox"]{
    margin-right: 0.15rem!important;
}
[data-step="questions"] ul.propositions.moments .moments_pickers input[type="checkbox"]:not(.switch-input)::after {
    width: 6px;
    height: 10px;
    left: 4px;
    top: 1px;
}
[data-step="questions"] .proposition .moments_pickers label {
    font-size: 0.85rem;
    vertical-align: bottom;
}
[data-step="questions"] .question-title small {
    color : #8a8a8a;
}

[data-step="questions"] th {
    vertical-align: middle;
}

[data-step="questions"] .no-proposition-found {
    margin-top: 0.1rem;
}

[data-step="questions"] .your_propositions {
    font-size: 1rem;
    color: #304c6f;
    margin:0 0 0.5rem 0;
    line-height: 1.1;
}

[data-step="questions"] [name="proposition_variant"]:first-of-type {
    margin-left: 0.7rem;
}

[data-step="questions"] .variants_labels {
    margin-left: 1rem;
}

[data-form="question"].has-error .is-invalid-input.silent {
    background-color: #fff !important;
    border: 2px solid var(--input-border) !important;
}

.flatpickr-calendar {
    width:100%;
    border: 1px solid #D7E35A;
}

.flatpickr-calendar select {
    display: inline-block;
}


.flatpickr-day.selected {
    background-color: #b8caf7;
    border-color: #b8caf7;
    color: #393939;
}

.events {
    position: absolute;
    bottom: 0px;
    line-height: 1;
    left: 0px;
    margin: 0 auto;
    width: 100%;
}

.event {
    width: 6px;
    height: 6px;
    border-radius: 150px;
    content: " ";
    display: inline-block;
    background: #3d8eb9;
    left: 0px;
    margin-right: 2px;
}

.event.busy {
    background: #f64747;
}

.event.plus-sign {
    background: transparent;
    position: relative;
    height: 5px;
    width: 5px;
    overflow: hidden;
}

.event.plus-sign::after {
    content: " ";
    position: absolute;
    display: block;
    background-color: #263548;
    width: 1px;
    height: 100%;
    margin-top: -2.5px;
    top: 50%;
    left: 2px;
    right: 3px;
    z-index: 9;
}
.event.plus-sign::before {
    content: " ";
    position: absolute;
    display: block;
    background-color: #263548;
    width: 100%;
    height: 1px;
    margin-left: -2.5px;
    left: 50%;
    top: 2px;
    bottom: 3px;
    z-index: 9;
}

[data-step="questions"]  [name="question_limit_choice_nb"],
[data-step="general"] [name="settings.limit_participants_nb"] {
    display : inline;
    width : 12%;
    height:1.5rem !important;
    margin:0;
}

[data-step="general"] [name="description"] {
    width : 97%;
}

[data-step="guests"] #guests_list>label,
[data-step="general"] .owner_item{
    margin-bottom: 0.7rem;
    padding: 0 10px 0 10px;
    background-color: #ffae00;
    color: #263548;
    border-radius: 3px;
}
[data-step="guests"] #guests_list>label {
    padding: 5px 10px 5px 10px;
}
[data-step="guests"] #guests_list>label [data-action].fa {
    color: #263548;
    margin-left: 0.25rem;
    font-weight: normal;
}
[data-step="general"] .owner_item.owner_editor{
    background-color: #ccf;
}
[data-step="general"] .owner_item.owner_editor i{
    vertical-align:baseline;
    margin-top:0.2rem;
    font-size:1rem;
}
[data-step="general"] section.options > label {
    margin-bottom:0.5rem;
}
[data-action="delete_question"]{
    border-radius: 3px!important;
    margin-right:0.8rem;
}
[data-step="guests"] .guests_invitation {
    border-radius: 5px;
    border: 2px solid #64489e;
    padding: 0 1rem 1rem 1rem;
    margin-top: 0.5rem;
    margin-bottom: 1rem;
}
[data-step="guests"] .guests_invitation label.switch-container{
    margin: 3rem 0 0 0;
}

[data-step="guests"] #guests_list>label .guest_email {
    cursor: pointer;
}

[data-step="guests"] .share_survey .fa {
    margin-top: 0.8em;
}
.reveal .share_survey .fa-clipboard {
    padding-top: 0.5rem;
}
[data-container="steps"] label[for="email"] {
    display:inline-block;
    width: 60%;
}
[data-container="steps"] [data-action="send_owner"],
[data-container="steps"] [data-action="cancel_owner"],
[data-container="steps"] [data-step="guests"] [data-action="send_guest"],
[data-step="guests"] [data-action="cancel_guest"]{
    margin:0 0 0 0.15rem;
}
[data-step="guests"] label.label-header {
    line-height: 1!important;
    margin:1rem 0;
}
[data-container="steps"] label.disabled span {
    opacity: 0.5;
    cursor: not-allowed;
}

[data-step="guests"] .accept_terms_container span[data-label-text],
[data-step="guests"] .accept_terms_container label {
    text-align: center;
}

[data-step="guests"] .accept_terms_container span[data-label-text] {
    font-variant: normal;
    text-align: center;
}

[data-step="guests"] select {
    margin: 0 0 1rem;
}

[data-container="steps"] [data-step="guests"] {
    width: 100%;
    max-width: none;
    margin: 0;
}

/********************************************************************************
 * NavBar /Breadcrumb
/********************************************************************************/

[data-component="survey-wizard"] nav {
    min-height: auto;
    height: 36px;
    margin-bottom:1rem;
    margin-top:0;
    padding: 0px 0px 0px 0px;
    border-radius: 3px;
    background: #f2f2f2;
    box-shadow: 0 0 15px 1px rgba(0, 0, 0, 0.35);
    overflow: hidden;
    counter-reset: flag;
}

[data-component="survey-wizard"] nav span[data-action] {
    text-decoration: none;
    outline: none;
    display: block;
    float: left;
    font-size: 1rem;
    line-height: 36px;
    color: #6b79b8;
    /*need more margin on the left of links to accomodate the numbers*/
    padding: 0 10px 0 60px;
    background: #f2f2f2;
    position: relative;
    transition: all 0.5s;
    margin: 0 0 0 0;
}

[data-component="survey-wizard"] nav span[data-action].disabled {
    opacity: 1;
}

[data-component="survey-wizard"] nav span[data-action].disabled:hover,
[data-component="survey-wizard"] nav span[data-action].disabled:hover:after {
    opacity: 1;
    background: #bbcadc !important;
}

[data-component="survey-wizard"] nav span[data-action].disabled:before {
    opacity: 0.25;
}

/*since the first link does not have a triangle before it we can reduce the left padding to make it look consistent with other links*/
[data-component="survey-wizard"] nav span[data-action]:first-child {
    padding-left: 46px;
    border-radius: 0; /*to match with the parent's radius*/
}
[data-component="survey-wizard"] nav span[data-action]:first-child:before {
    left: 14px;
}
[data-component="survey-wizard"] nav span[data-action]:last-child {
    border-radius: 0; /*this was to prevent glitches on hover*/
    padding-right: 20px;
}

[data-component="survey-wizard"] nav span[data-action].current,
[data-component="survey-wizard"] nav span[data-action]:hover,
[data-component="survey-wizard"] nav span[data-action].current:after,
[data-component="survey-wizard"] nav span[data-action]:hover:after {
    background: #6c79b8;
    color: #ffffff;
    font-weight: bold;
}

/* Arrow */
[data-component="survey-wizard"] nav span[data-action]:after {
    content: '';
    position: absolute;
    top: 0;
    right: -18px; /*half of square's length*/
    width: 36px;
    height: 36px;
    transform: scale(0.707) rotate(45deg);
    z-index: 1;
    background: #f2f2f2;
    box-shadow:
        2px -2px 0 2px rgba(206, 205, 204, 0),
        2px -3px 0 2px rgb(197, 197, 197);

    border-radius: 0 5px 0 50px;
    transition: all 0.5s;
}
/*we dont need an arrow after the last link*/
[data-component="survey-wizard"] nav span[data-action]:last-child:after {
    content: none;
}
/*we will use the :before element to show numbers*/
[data-component="survey-wizard"] nav span[data-action]:before {
    content: counter(flag);
    counter-increment: flag;
    /*some styles now*/
    color: white;
    border-radius: 100%;
    width: 20px;
    height: 20px;
    line-height: 20px;
    margin: 8px 0;
    position: absolute;
    top: 0;
    left: 30px;
    background: #263548;
    background: linear-gradient(#263548, #304d6e);
    font-weight: bold;
    text-align:center;
}

.meltdown_wrap {
    width: 100%!important;
    background: none;
    border: none;
    font-size:0.85rem;
    padding: 0;
}
.meltdown_editor-deco {
    border: none;
    padding: 5px 6px 5px 0px;
}

ul.meltdown_controlgroup-h li span {
    padding-top: 2px;
    padding-bottom: 3px;
}

[data-component="survey-wizard"] .fa-calendar-o:before{
    content:'';
    background:url('../../images/calendar.svg') no-repeat;
    display:inline-block;
    vertical-align: middle;
    width:27px;
    height:27px;
}
[data-component="survey-wizard"] .fa-calendar-period::before {
    content: '';
    background: url('../../images/calendar-period.svg') no-repeat;
    display: inline-block;
    vertical-align: middle;
    width: 27px;
    height: 27px;
}

[data-component="survey-wizard"] .fa-file-text-o:before{
    content:'';
    background:url('../../images/text.svg') no-repeat;
    display:inline-block;
    vertical-align: middle;
    width:27px;
    height:27px;
}

form#main-question-form label[for="question"] input{
    display:inline-block;
}
[data-component="survey-wizard"] [data-container="steps"] [data-step="guests"] input[data-picker="date"]{
    width:25%;
}

table.constraints_table{
    border: 1px solid #6c79b8!important;
    border-collapse: inherit;
    border-radius: 0;
}
table.constraints_table tr:first-child{
    background-color: #6c79b8;
    color:#fff;
}

table.constraints_table input[name="constraint_value"] {
    display: inline;
    margin-right: 0.4rem;
}

/* all */
::-webkit-input-placeholder{ color:#777!important; }
::-moz-placeholder { color:#777!important; } /* firefox 19+ */
:-ms-input-placeholder { color:#777!important; } /* ie */
input:-moz-placeholder { color:#777!important; }
::placeholder{ color:#777!important; }

.date-picker-range-container label {
    display: inline !important;
    width: 30%;
}

.date-picker-range-container label > div {
    width: 30%;
}

.date-picker-range-container .date-picker-range-input-container,
.date-picker-multi-container input.date-picker-multi {
    margin-top: 1rem;
}

/* max-width 450px, mobile-only styles, use when QAing mobile issues */
@media only screen and (max-width: 28em){
    [data-step="general"] [name="description"] {
        width: 95%;
    }
    [data-action="delete_question"] {
        width: 100%;
    }
}
/* min-width 451px max-width 640px, mobile-only styles, use when QAing mobile issues */
@media only screen and (min-width: 28.063em) and (max-width: 40em){
    [data-step="general"] [name="description"] {
        width: 96%;
    }
}
/* max-width 640px, mobile-only styles, use when QAing mobile issues */
@media only screen and (max-width: 40em) {
    [data-step="questions"] .proposition.proposition_date_input > span.small-12.medium-9.end.columns.nopadding{
        margin-top:0;
    }
    [data-step="questions"] ul.propositions li.proposition_date_input div {
        margin-left: 0;
    }
    [data-component="survey-wizard"] [data-container="steps"] .wizard_action.button {
        padding: 0.3em;
    }
    [data-component="survey-wizard"] [data-container="steps"] .wizard_action {
        margin-left: 0;
    }
    [data-component="survey-wizard"] [data-container="steps"] label[data-field-path="settings.reply_access"]{
        width:100%;
    }
    table.constraints_table tr.constraint_header{
        display:none;
    }
    table.constraints_table th{
        padding:0.5rem;
    }
    table.constraints_table th select, table.constraints_table th input{
        margin:0;
        margin-top:0.5rem;
        font-size: 0.85rem;
        height: 2rem;
    }
    table.constraints_table th input{
        margin-bottom:0.5rem;
    }
    table.constraints_table tr.constraints_row{
        padding-bottom:1rem;
    }
    table.constraints_table tr.constraints_row td{
        margin:0;
        font-size: 0.85rem;
        height: 2rem;
    }

    select[name="settings.reply_access"]{
        width:100%;
        display:block;
    }
    [data-component="survey-wizard"] [data-container="steps"] {
        padding: 1rem 0.5rem 0 0.5rem!important;
    }
    [data-component="survey-wizard"] [data-container="steps"] [data-step="guests"] input[data-picker="date"] {
        width: 90%;
    }
    [data-step="guests"] span.fa-calendar-o {
        margin-left: 0;
        float: right;
    }
    [data-step="general"] input[data-picker="date"]{
        width:25%;
    }
    [data-step="general"] label[data-field-path="settings.auto_close"] + i {

        display: inline-block;
        position: relative;
        top: -1.6rem;
        float:right;
        margin-right:4rem;
    }
    [data-action="delete_question"] {
        margin-right: 0;
        padding: 0.85em 1em !important;
    }
    [data-container="steps"] label[for="email"] {
        width: inherit;
    }
    section.question_actions{
        width: 100%;
    }
    section.question_actions + section{
        width: 100%;
    }
    [data-action="delete_question"] {
        width: 100%;
    }
    table.constraints_table th, table.constraints_table td {
        display: block;
        padding: 0 0 0 0.5rem;
    }
    table.constraints_table tr.constraints_form_row.hidden th:first-child {
        border-top: 1px solid #64489e;
    }
    [data-step="questions"] .propositions_container label[data-field-path="same_for_all"] {
        text-align: left;
    }
}
/* min-width 641px, mobile-only styles, use when QAing mobile issues */
@media only screen and (min-width: 40.063em){
    [data-step="questions"] .propositions_container label[data-field-path="same_for_all"]{
        text-align: right;
    }
}
/* min-width 641px and max-width 800px, mobile-only styles, use when QAing mobile issues */
@media only screen and (min-width: 40.063em) and (max-width: 800px){
    [data-step="general"] [name="description"] {
        width: 97%;
    }
}
/* min-width 801px and max-width 1024px, mobile-only styles, use when QAing mobile issues */
@media only screen and (min-width: 801px) and (max-width: 64em){
    [data-step="general"] [name="description"] {
        width: 98%;
        padding-top: 0.35rem;
    }
}

/* min-width 641px and max-width 1024px, use when QAing tablet-only issues */
@media only screen and (min-width: 40.063em) and (max-width: 64em) {
    [data-container="steps"] label[data-field-path="settings.reply_access"]{
        width:50%;
    }
    [data-step="general"] label[data-field-path="settings.auto_close"] {
        margin-top:0.5rem;
    }
    select[name="settings.reply_access"]{
        width:80%;
        display:block;
    }
    [data-step="general"] input[data-picker="date"]{
        width:25%;
    }
    [data-component="survey-wizard"] [data-container="steps"] [data-step="guests"] input[data-picker="date"] {
        width:73%;
    }
    [data-step="guests"] span.fa-calendar-o {
        margin-left: 0;
        float: right;
        margin-right: 20%;
    }
}
/* max-width 1024px */
@media only screen and (max-width: 64em) {
    [data-form] .flatpickr-calendar{
        width: max-content;
    }
    [data-step="questions"] .options {
        padding-left: 0;
        margin-top:0;
    }

}
/* min-width 1025px, large screens */
@media only screen and (min-width: 64.063em) {
    [data-container="steps"] label[data-field-path="settings.reply_access"]{
        width:100%;
    }
    select[name="settings.reply_access"]{
        width:50%;
        display:block;
    }
}

/* min-width 641px and max-width 800px, use when QAing tablet-only issues */
@media only screen and (min-width: 641px) and (max-width: 800px) {
    [data-step="general"] input[data-picker="date"]{
        width:25%;
    }
    [data-step="guests"] .parameters span.fa-calendar-o {
        margin-left: -50%;
        margin-top: 0;
        float: none;

    }
}

/* min-width 801px and max-width 1024px, use when QAing tablet-only issues */
@media only screen and (min-width: 801px) and (max-width: 1024px) {
    [data-step="general"] input[data-picker="date"]{
        width:25%;
    }
    [data-step="guests"] .parameters span.fa-calendar-o {
        margin-left: -40%;
        margin-top: 0;
        float: none;

    }
}
/* min-width 1025px and max-width 1184px, use when QAing tablet-only issues */
@media only screen and (min-width:1025px) and (max-width: 74em) {
    [data-step="general"] input[data-picker="date"]{
        width:25%;
    }
    [data-step="general"] [name="description"] {
        width: 96%;
    }
}
/* min-width 1185px and max-width 1440px, use when QAing large screen-only issues */
@media only screen and (min-width: 74.01em) and (max-width: 90em) {
    [data-step="general"] input[data-picker="date"]{
        width:30%;
    }
}

/* min-width 1921px, use when QAing xlarge screen-only issues */
@media only screen and (min-width: 120em) {
    [data-step="general"] [name="description"] {
        width: 98%;
    }

}